summaryrefslogtreecommitdiff
path: root/setup
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2021-10-27 00:18:30 +0300
committerPatrick Williams <patrick@stwcx.xyz>2021-11-04 02:09:42 +0300
commit06ce8af68b0a9bd6a68b86f424b6f13596193dd9 (patch)
treecbd1db6d430ddbe4412858b824c2dc4079b85ad7 /setup
parent693d3db98ecd832abf9ee91e9b14eb487ded7fc1 (diff)
downloadopenbmc-06ce8af68b0a9bd6a68b86f424b6f13596193dd9.tar.xz
setup: fix shellcheck errors
Signed-off-by: Patrick Williams <patrick@stwcx.xyz> Change-Id: I4c09e61294506659500f9760993dd4b8b6f22f23
Diffstat (limited to 'setup')
-rwxr-xr-xsetup12
1 files changed, 6 insertions, 6 deletions
diff --git a/setup b/setup
index 976e8615f..3b54c0c82 100755
--- a/setup
+++ b/setup
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
#
# Copyright (c) 2018, YADRO
# Author: Alexander Amelkin <a.amelkin@yadro.com>
@@ -49,10 +49,10 @@ machine() {
tmpl=${cfg%/machine/*.conf}
# Skip any machines that don't support meta-phosphor.
- if [ ! -e $tmpl/bblayers.conf.sample ]; then
+ if [ ! -e "$tmpl/bblayers.conf.sample" ]; then
continue
fi
- if ! grep -q "##OEROOT##/meta-phosphor" $tmpl/bblayers.conf.sample; then
+ if ! grep -q "##OEROOT##/meta-phosphor" "$tmpl/bblayers.conf.sample"; then
continue
fi
@@ -61,9 +61,9 @@ machine() {
if [ -n "$target" ]; then
if [ "${name}" = "${target}" ]; then
echo "Machine ${target} found in ${tmpl%/conf}"
- mkdir -p ${build_dir}
+ mkdir -p "${build_dir}"
TEMPLATECONF="${tmpl}" source \
- oe-init-build-env ${build_dir}
+ oe-init-build-env "${build_dir}"
if [ "$(cat conf/templateconf.cfg)" = "${tmpl}" ]; then
sed "s/^\(MACHINE\s*[?:]*\s*=\s*\).*$/\1\"${target}\"/" \
@@ -90,6 +90,6 @@ else
if [ -z "$2" ]; then
bld_dir="build/$1"
fi
- machine $1 $bld_dir
+ machine "$1" "$bld_dir"
fi